summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthew Watkins <mwatkins@linuxfoundation.org>2022-11-04 10:21:34 +0000
committerMatthew Watkins <mwatkins@linuxfoundation.org>2022-11-04 10:25:25 +0000
commit85b3432c764f461bb62a1f56719f3f9372b3c912 (patch)
treea62d6dbc69d289820769ae715cb8cf7e76ce198a
parentfba3ccd85bf92f47943fe72b3ca542836812fdb4 (diff)
Chore: Add robot framework under Python3
Issue-ID: CIMAN-33 Signed-off-by: Matthew Watkins <mwatkins@linuxfoundation.org> Change-Id: I6eecd33fc49cf55213624082847ea96f13163a29
-rw-r--r--jjb/integration/include-raw-integration-robotframework.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/jjb/integration/include-raw-integration-robotframework.sh b/jjb/integration/include-raw-integration-robotframework.sh
new file mode 100644
index 000000000..7f4ed49f3
--- /dev/null
+++ b/jjb/integration/include-raw-integration-robotframework.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+##############################################################################
+# Copyright (c) 2016 The Linux Foundation and others.
+##############################################################################
+
+ROBOT3_VENV=$(mktemp -d --suffix=robot3_venv)
+echo "ROBOT3_VENV=${ROBOT3_VENV}" >> "${WORKSPACE}/env.properties"
+
+# The --system-site-packages parameter allows us to pick up system level
+# installed packages. This allows us to bake matplotlib which takes very long
+# to install into the image.
+virtualenv --system-site-packages "${ROBOT3_VENV}"
+source "${ROBOT3_VENV}/bin/activate"
+
+set -exu
+
+# Make sure pip itself us up-to-date.
+pip3 install --upgrade pip
+
+pip3 install --no-binary pycparser cffi setuptools-rust
+pip3 install pyOpenSSL docker-py importlib requests scapy netifaces netaddr ipaddr simplejson demjson
+pip3 install robotframework-httplibrary robotframework-requests robotframework-sshlibrary robotframework-selenium2library robotframework-xvfb
+
+pip3 install xvfbwrapper
+pip3 install PyVirtualDisplay
+
+# Print installed versions.
+pip3 freeze
+
+# Check robot module is available and working
+python3 -m robot.run --version
+
+# vim: sw=4 ts=4 sts=4 et ft=sh :